Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167774 - Update the bundled Jython to version 2.5 final
Update the bundled Jython to version 2.5 final
Status: RESOLVED FIXED
Product: python
Classification: Unclassified
Component: Platform
6.x
All All
: P3 (vote)
: 6.x
Assigned To: ardavis26
nbpythonqa
67patch1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 09:34 UTC by Petr Jiricka
Modified: 2009-08-10 15:04 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2009-06-29 09:34:07 UTC
Currently, Python EA2 (built on top of NetBeans 6.7) bundles Jython 2.5 beta. Since the final version of Jython 2.5 was
released, we should update the bundled Jython to 2.5 final.
Comment 1 Petr Jiricka 2009-06-29 09:37:18 UTC
Tor made this change in NB 6.8 trunk:
http://hg.netbeans.org/main-silver/rev/5355c9e3b783
http://hg.netbeans.org/main-silver/rev/c1d5a7e5f8c9

It should be included on the update center as part of the 6.7 patch - marking with the '67patch-candidate' status
whiteboard.
Comment 2 martin_zmrhal 2009-07-07 12:23:15 UTC
Verified in 200907070200
Comment 3 martin_zmrhal 2009-07-07 12:23:53 UTC
Verified in 200907070200
Comment 4 pgebauer 2009-07-09 14:29:57 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/afabf4d9765b
Comment 5 antonx 2009-07-29 19:00:34 UTC
I just installed nb 6.7.1 and got the jthon python plugin
and it seems to be still at 2.5beta 0.

I open the window-> python console, and I get the following
welcome message:

NbPython console
Python 2.5b0+ (trunk:exported, Jun 25 2009, 14:15:29) 
[OpenJDK Server VM (Sun Microsystems Inc.)] on java1.6.0_0
Type "help", "copyright", "credits" or "license" for more information.
(InteractiveConsole)
Comment 6 rnovak 2009-07-31 12:39:51 UTC
The new Python NBMs were staged on the Beta UC for NB 6.7/6.7.1
Could you, please, perform a quick download test to make sure, everything is OK?
Comment 7 antonx 2009-08-03 22:01:05 UTC
Sorry,

in the Netbeans menu I got to:

  tools->plugins

and here I select the tabsheet:

  settings

and I see that the "Netbeans Beta"
repository is selected, which points to:

 http://updates.netbeans.org/netbeans/updates/6.7.1/uc/final/beta/catalog.xml.gz

I assume the update mechanism should work, or did I misunderstand you

Anton

Comment 8 antonx 2009-08-03 22:10:04 UTC
Sorry I was to fast:

I added

http://updates.netbeans.org/netbeans/updates/6.7.1/uc/final/beta/catalog_stage.xml.gz

as new repository in the Tools->Plugins->Settings, and I was
told that there were 2 updates, and it worked.

There is only one bug remaining:

In the Plugin list I an told that the version of Jython is:
  Jython 2.10

but it should be *Jython 2.5* ( even python 2.x is only at 2.6 for now)

Anton
Comment 9 rnovak 2009-08-04 16:13:44 UTC
Anton, I guess this is correct, I suppose spec. version can be different from the release version.
Can I pushe it to the live UC ?
Comment 10 antonx 2009-08-04 18:13:07 UTC
In my opinion you can push it to the live uc.

I didn't play much with it, but its better
than an outdated beta release anyway :-)

Anton
Comment 11 antonx 2009-08-04 18:18:34 UTC
Ah ... I played just with the interactive console:

If you enter a command, lets say 

>>  dir()

it works but the cursor always jumps
back to the * like:

>>> *dir()
['__doc__', '__name__', 'sys']
>>> 

Tab command completion doesn't work ... but this is another story.

But as soon as you type something it jumps on
the right position ... for 10 minutes
I didn't realise this and I always used the cursor-down keystroke
to go to the command line.

Anton
Comment 12 antonx 2009-08-07 08:50:08 UTC
Hi you can push it to the live uc:

I just tested nb 6.7.1 with the actual official python/jython
plugins.
The officiel version has the same behaviour concerning
the cursor in the pythn console,
so its not a new bug...

Bye

  Anton
Comment 13 rnovak 2009-08-07 13:14:59 UTC
I pushed the new Python modules to live UC.
Comment 14 vnagendr 2009-08-10 15:04:38 UTC
Looks like the update changes the "Default" Python platform to the one bundled with this upgrade.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo